Eclipse Draw2d 3.3

## org.eclipse.draw2d
Interface LayoutManager

All Known Implementing Classes:
  AbstractHintLayout, AbstractLayout, BlockFlowLayout, BorderLayout, DelegatingLayout, FlowContainerLayout, FlowFigureLayout, FlowLayout, FreeformLayout, GridLayout, InlineFlowLayout, OrderedLayout, PageFlowLayout, ParagraphTextLayout, ScrollBarLayout, ScrollPaneLayout, SimpleTextLayout, StackLayout, TextLayout, ToolbarLayout, ViewportLayout, XYLayout

    public interface LayoutManager

A helper for positioning child figures and determining the ideal size for a figure with children.

Method Summary
`java.lang.Object` `getConstraint(IFigure child)` Returns the constraint for the given figure.
`Dimension` `getMinimumSize(IFigure container, int wHint, int hHint)` Returns the minimum size of the given figure.
`Dimension` `getPreferredSize(IFigure container, int wHint, int hHint)` Returns the preferred size of the given figure, using width and height hints.
`void` `invalidate()` Tells the LayoutManager to throw away all cached information about the figures it is responsible for.
`void` `layout(IFigure container)` Lays out the given figure.
`void` `remove(IFigure child)` Removes the given child from this layout.
`void` `setConstraint(IFigure child, java.lang.Object constraint)` Sets the constraint for the given child.

Method Detail

### getConstraint

    java.lang.Object getConstraint(IFigure child)

  Returns the constraint for the given figure.

  Parameters:
    `child` - The figure
  Returns:
    The constraint

### getMinimumSize

    Dimension getMinimumSize(IFigure container,
                             int wHint,
                             int hHint)

  Returns the minimum size of the given figure.

  Parameters:
    `container` - The Figure
    `wHint` - the width hint
    `hHint` - the height hint
  Returns:
    The minimum size

### getPreferredSize

    Dimension getPreferredSize(IFigure container,
                               int wHint,
                               int hHint)

  Returns the preferred size of the given figure, using width and height hints.

  Parameters:
    `container` - The figure
    `wHint` - The width hint
    `hHint` - The height hint
  Returns:
    The preferred size

### invalidate

    void invalidate()

  Tells the LayoutManager to throw away all cached information about the figures it is responsible for. This method is called whenever the owning figure is invalidated.

### layout

    void layout(IFigure container)

  Lays out the given figure.

  Parameters:
    `container` - The figure

### remove

    void remove(IFigure child)

  Removes the given child from this layout.

  Parameters:
    `child` - the child being remoced

### setConstraint

    void setConstraint(IFigure child,
                       java.lang.Object constraint)

  Sets the constraint for the given child.

  Parameters:
    `child` - The figure
    `constraint` - The constraint

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.